summaryrefslogtreecommitdiff
path: root/utils/filtron.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2020-04-08 18:38:36 +0200
committerMarkus Heiser <markus.heiser@darmarit.de>2020-04-08 18:38:36 +0200
commitf693149cded4f783380f8f02154bd9288b72cdd5 (patch)
tree3b3809f5c667ab44e53bb200cca3ce959c0380dd /utils/filtron.sh
parentee39a098acb2386abd5382de5c9476cc4ffe2e03 (diff)
downloadsearxng-f693149cded4f783380f8f02154bd9288b72cdd5.tar.gz
searxng-f693149cded4f783380f8f02154bd9288b72cdd5.zip
Changes from the installation tests on (all) LXC containers.
Tested and fixed HTTP & uWSGI installation on: ubu1604 ubu1804 ubu1910 ubu2004 fedora31 archlinux Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/filtron.sh')
-rwxr-xr-xutils/filtron.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/utils/filtron.sh b/utils/filtron.sh
index 0fbf74787..d24b6c39e 100755
--- a/utils/filtron.sh
+++ b/utils/filtron.sh
@@ -23,7 +23,6 @@ FILTRON_URL_PATH="${FILTRON_URL_PATH:-$(echo "${PUBLIC_URL}" \
[[ "${FILTRON_URL_PATH}" == "${PUBLIC_URL}" ]] && FILTRON_URL_PATH=/
FILTRON_ETC="/etc/filtron"
-
FILTRON_RULES="$FILTRON_ETC/rules.json"
FILTRON_API="${FILTRON_API:-127.0.0.1:4005}"
@@ -447,7 +446,8 @@ This installs a reverse proxy (ProxyPass) into apache site (${APACHE_FILTRON_SIT
install_apache
fi
- echo
+ "${REPO_ROOT}/utils/searx.sh" install uwsgi
+
apache_install_site --variant=filtron "${APACHE_FILTRON_SITE}"
info_msg "testing public url .."
@@ -465,11 +465,12 @@ This removes apache site ${APACHE_FILTRON_SITE}."
! apache_is_installed && err_msg "Apache is not installed."
- if ! ask_yn "Do you really want to continue?"; then
+ if ! ask_yn "Do you really want to continue?" Yn; then
return
fi
apache_remove_site "$APACHE_FILTRON_SITE"
+
}
rst-doc() {